# Practical: Git Cherry-picking

* In your branch, create and commit a reference file
```bash
$ echo "This is the start of a commit chain" > reference.txt
$ git add reference.txt
$ git commit origin myBranch
```

* Create and commit two files in the develop branch
```bash
$ echo "This is a commit to keep" > keep.txt
$ git add keep.txt
$ git commit origin develop
$ echo "Ignore this commit" > ignore.txt
$ git add ignore.txt
$ git commit origin develop
```



# Practical: Git Cherry-picking

* Check the commit reference of the two commits in develop
* Chose the commit to keep and add it to your branch
```bash
$ git checkout myBranch
$ git cherry-pick <commit reference>
```
* Check the log again and see if the changes were applied correctly

* push the changes to the develop branch
```bash
$ git push origin myBranch -f
```

* The `-f` flag is used to force push into develop