# Practical: Git Interactive Rebasing

* Create and switch to your own branch
* Add and commit two files to this branch:

```bash
$ echo "# Michael" > Michael.md
$ git add Michael.md
$ git commit -m "Add Michael to the list of attendees"
$ git push origin yourBranch

$ echo "# Kevin" > Kevin.md
$ git add Kevin.md
$ git commit -m "Add Kevin to the list of attendees"
$ git push origin yourBranch
```



# Practical: Git Interactive Rebasing

* Perform an interactive rebase with the two last commits:

```bash
$ git rebase -i HEAD~2
```

* reword the first commit's message to:
`These are the two squashed commits`
* combine the second and first commit into one,
omitting the second's commit message.



# Practical: Git Interactive Rebasing

The prompt shows up:
```bash
$ pick 1234567 add Micheal to attendee list
$ pick abcdef0 add Kevin to attendee list
```

The keywords should be changed to:
```bash
$ reword 1234567 add Micheal to attendee list
$ fixup abcdef0 add Kevin to attendee list
```

Upon confirming, change the message of commit 1234567:
```bash
$ Add Micheal and Kevin to the attendee list
```

Then use force-push to push your changes:
```bash
$ git push origin myBranch -f
```



# Practical: Git Interactive Rebasing

* If you wanted to keep both commit messages in one commit, instead change the prompts to squashing instead
```bash
$ pick 1234567 add Micheal to attendee list
$ squash abcdef0 add Kevin to attendee list
```

* This will create a commit with both files still in, but the commit message of that commit will be the two commit messages of the two files combined.